{% extends 'core/base.html' %}
{% load i18n %}

{% block title %}{% translate 'Dashboard' %}{% endblock %} {# FIXME title does not work #}

{% block canvas %}
  <div class="d-flex flex-row">
    <nav class="col-2 d-flex flex-column flex-shrink-0 bg-light">
{#      {% include 'common/widgets/vertical_menu.html' with menu=menus.dashboard %}#}
        <div class="nav nav-tabs flex-column" id="nav-tab" role="tablist">
          {% for component in components.IDashboardSection %}
            <button
                class="nav-link{% if component.selected %} active{% endif %}"
                id="nav-{{ component.name }}-tab"
                data-bs-toggle="tab"
                data-bs-target="#nav-{{ component.name }}"
                type="button"
                role="tab"
                {% if component.enabled %}
                hx-get="{% url component.get_url_name %}"
                hx-trigger="{% if component.selected %}load, {% endif %}click once"
                hx-target="#nav-{{ component.name }}"
                hx-push-url="{{ component.name }}"
                {% else %}
                disabled
                {% endif %}
                aria-controls="nav-{{ component.name }}"
                aria-selected="{% if forloop.first %}true{% else %}false{% endif %}"
            >
              <i class="bi bi-{{ component.icon }} me-2"></i>
              {{ component.title }}
            </button>
          {% endfor %}
        </div>
    </nav>
    <div class="col-10">
      <div class="tab-content" id="nav-tabContent">
        {% for component in components.IDashboardSection %}
          <div class="tab-pane fade{% if forloop.first %} show active{% endif %}"
               id="nav-{{ component.name }}"
               role="tabpanel"
               aria-labelledby="nav-{{ component.name }}-tab"
               tabindex="0"
          >
          </div>
        {% endfor %}
      </div>
    </div>
  </div>
{% endblock %}